;=======================================================
;	   
;	 - *   *
;
;		=   =
;
;	avisenja 	27 Sep 2012
;======================================================

#include <p12f629.inc>                                                              
    cblock 0x50
      lc0, lc1, lc2, lc3, lc4, lc5, lc6;
    endc
     ;  __CONFIG  H'0FF5'     ;   , WDT  
                             ;                        
                             ;  4000 
    
	__CONFIG    _CP_OFF & _WDT_OFF & _BODEN_OFF & _PWRTE_ON & _INTRC_OSC_NOCLKOUT & _MCLRE_OFF & _CPD_OFF 


        org   2100h  ;   EEPROM  .
                   ; 0    1    2    3    4    5    6    7
               DE  54h, 62h, 00h, 00h, 00h, 00h, 00h, 00h ;
;=============================================================
;       .
;=============================================================

blink    	equ     20h     ;   
cikl1    	equ     21h     ;   
cikl2    	equ     22h     ;  / 

w_int  	equ     5Dh     ;
stat_int  	equ     5Eh     ;
pcl_int	equ     5Fh     ;
 
;==================================================
      		org     .0          ;    
      		goto    Start       ;   Start.

	  	org     .4          ;  
;===================================================
Prer    	movwf   w_int       ;  W  
        	movf    STATUS,W    ;  
        	clrf    STATUS      ;   0
        	movwf   stat_int    ;
        	movf    PCLATH,W	;
        	movwf   pcl_int		;
        	clrf    PCLATH		;

			bcf		INTCON,2	;   TMR0
;---------------
			btfss	cikl1,0		;
			goto	n1			;
			movf	blink,W		;
			movwf	TMR0		;
      		bcf     GPIO,2     	; Off  

			btfsc	cikl2,0		;
			goto	n2			;
			incf	blink,F		;
			btfss	blink,7		;
			goto	n0			;
			goto	n3			;
;----------------			
n2			decf	blink,F		;
			btfss	STATUS,Z	;
			goto	n0			;
			clrf	blink		;
			bcf		cikl2,0		;
			goto	n0			;
;----------------						
n3     		bsf     GPIO,2     	; On  
			call	pauza		;
      		bcf     GPIO,2     	; Off  
			bsf		cikl2,0		;
			goto	n0			;
;----------------						
n1			comf	blink,W		;
			movwf	TMR0		;
      		bsf     GPIO,2     	; On  
			goto	n0			;
;-----------------
n0			incf	cikl1,F		;

;-----------------------------------------------------
EndInt  	movf    pcl_int,W	;     
        	movwf   PCLATH  	;
        	movf    stat_int,W	;
        	movwf   STATUS  	;
        	movf    w_int,W    	;
        	retfie              ;

;===================================================
Start 		clrw               	;  W.
      		clrf    INTCON     	;
      		clrf    GPIO       	;
      		clrf    TRISIO     	;
      		movlw   0x07       	;
      		movwf   CMCON      	;
      		bsf     STATUS,RP0 	;  Bank 1
      		movlw   0x00       	; 
      		movwf   TRISIO     	;
      		clrf    WPU        	;
      		movlw   0x83       	;  
      		movwf   OPTION_REG 	;
      		bcf     STATUS,RP0 	;   Bank 1.
      		clrf    GPIO       	;
      		bcf     GPIO,2     	; 
      		clrf    lc0        	; .
      		clrf    lc1        	; .
      		clrf    lc2        	; .
      		clrf    lc3        	; .
      		clrf    lc4        	; . 
      		clrf    lc5        	; . 
		
			bsf		INTCON,5	;
			bsf		INTCON,7	;

;=======================================================
Cikl
      		goto    Cikl       	; ***********

;======================================================
pauza    	movlw   0xFF     	;
            movwf   lc1      	;
_sw4        movlw   0xFF     	;
            movwf   lc2      	;
_sw5        nop                 ;
            decfsz  lc2,f    	;
            goto    _sw5     	;
            decfsz  lc1,f    	;
            goto    _sw4     	; 
            return              ;

;=======================================================
    	END      ;  .





